<?php
include('site_header.php');

$errors = [];

if (empty($_POST['first_name'])) {
    $errors[] = 'First name is required.';
} else {
    $first_name = $_POST['first_name'];
}

if (empty($_POST['last_name'])) {
    $errors[] = 'Last name is required.';
} else {
    $last_name = $_POST['last_name'];
}

if (empty($_POST['email'])) {
    $errors[] = 'Email is required.';
} else {
    $email = $_POST['email'];
}

if (empty($_POST['gender'])) {
    $errors[] = 'Gender is required.';
} else {
    $gender = $_POST['gender'];
}

if (!empty($errors)) {
    echo '<p>Please correct the following errors:</p><ul>';
    foreach ($errors as $error) {
        echo "<li>$error</li>";
    }
    echo '</ul>';
} else {
    echo "<p>Thank you, $first_name $last_name, for your submission.</p>";
    echo "<p>Email: $email</p>";
    echo "<p>Gender: $gender</p>";
    echo "<p>Date of Birth: {$_POST['month']} {$_POST['day']}, {$_POST['year']}</p>";
    
    if (!empty($_POST['interests'])) {
        echo "<p>Interests: ";
        foreach ($_POST['interests'] as $interest) {
            echo $interest . " ";
        }
        echo "</p>";
    }
    
    if (!empty($_POST['comments'])) {
        echo "<p>Comments: " . $_POST['comments'] . "</p>";
    }
}

include('site_footer.php');
?>
